# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We need to patch the test suite if we have an old version of Test::More
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.88) ? 1 : 0);' 2>/dev/null || echo 0)

# We do not need a bleeding edge Module::Build::Tiny
%global old_mbt %(perl -MModule::Build::Tiny -e 'print (($Module::Build::Tiny::VERSION < 0.039) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-aliased
Version:	0.34
Release:	5.%{__distinit}%{__distvers}
Summary:	Use shorter versions of class names
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/aliased/
Source0:	http://search.cpan.org/CPAN/authors/id/E/ET/ETHER/aliased-%{version}.tar.gz
Patch0:		aliased-0.33-old-Test::More.patch
Patch1:		aliased-0.34-old-M:B:T.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Module Build
BuildRequires:	coreutils
BuildRequires:	perl
%if 0%{?fedora} > 20 || 0%{?rhel} > 7
BuildRequires:	perl-generators
%endif
BuildRequires:	perl(Module::Build::Tiny) >= 0.030
# Module Runtime
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(strict)
BuildRequires:	perl(warnings)
# Test Suite
BuildRequires:	perl(B)
BuildRequires:	perl(CPAN::Meta) >= 2.120900
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:	perl(Carp)

%description
aliased is simple in concept but is a rather handy module. It loads the
class you specify and exports into your namespace a subroutine that returns
the class name. You can explicitly alias the class to another name or, if
you prefer, you can do so implicitly. In the latter case, the name of the
subroutine is the last part of the class name.

%prep
%setup -q -n aliased-%{version}

# We need to patch the test suite if we have an old version of Test::More
%if %{old_test_more}
%patch0
%endif

# We do not need a bleeding edge Module::Build::Tiny
%if %{old_mbt}
%patch1
%endif

%build
perl Build.PL --installdirs=vendor
./Build

%install
rm -rf %{buildroot}
./Build install --destdir=%{buildroot} --create_packlist=0
%{_fixperms} %{buildroot}

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc Changes CONTRIBUTING README
%{perl_vendorlib}/aliased.pm
%{_mandir}/man3/aliased.3*

%changelog
* Thu Aug  4 2016 Paul Howarth <paul@city-fan.org> - 0.34-5
- BR: perl-generators where available

* Tue Jan  6 2015 Paul Howarth <paul@city-fan.org> - 0.34-1
- Update to 0.34
  - Re-release to fix problematic $VERSION declaration (CPAN RT#101095)

* Mon Dec 22 2014 Paul Howarth <paul@city-fan.org> - 0.33-1
- Update to 0.33
  - Don't inherit from Exporter
  - Fix docs issues
  - Fix warnings on perl 5.21.6 and up (CPAN RT#100359)
- This release by ETHER → update source URL
- Switch to Module::Build::Tiny flow
- Update patch for building with Test::More < 0.88
- Add patch to support building with Module::Build::Tiny < 0.039

* Mon Sep  1 2014 Paul Howarth <paul@city-fan.org> - 0.31-5
- Drop %%defattr, redundant since rpm 4.4

* Tue Feb 19 2013 Paul Howarth <paul@city-fan.org> - 0.31-1
- Update to 0.31
  - Added prefix() function (CPAN RT#48289)
  - Moved Test::More to build_requires (CPAN RT#48926)
  - Moved author tests to xt/author
- Explicitly run the author tests
- Add patch to support building with Test::More < 0.88

* Sat Jun 30 2012 Paul Howarth <paul@city-fan.org> - 0.30-9
- BR: perl(Exporter), perl(lib) and perl(Test::More)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Don't need to run test suite with LC_ALL=C

* Thu Jun 23 2011 Paul Howarth <paul@city-fan.org> - 0.30-6
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 0.30-5
- Rebuild for perl 5.12.1 in Rawhide

* Wed May 19 2010 Paul Howarth <paul@city-fan.org> - 0.30-4
- Fix dist tag for RHEL-6 Beta

* Mon Feb  1 2010 Paul Howarth <paul@city-fan.org> - 0.30-3
- Import from Fedora

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.30-2
- Rebuild against perl 5.10.1

* Sat Aug 22 2009 Chris Weyl <cweyl@alumni.drew.edu> - 0.30-1
- Auto-update to 0.30 (by cpan-spec-update 0.01)

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed May 28 2008 Chris Weyl <cweyl@alumni.drew.edu> - 0.22-1
- Update to 0.22

* Wed Mar  5 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.21-2
- Rebuild for new perl

* Fri Mar 30 2007 Chris Weyl <cweyl@alumni.drew.edu> - 0.21-1
- Update to 0.21

* Thu Oct 12 2006 Chris Weyl <cweyl@alumni.drew.edu> - 0.20-2
- Bump

* Mon Oct 09 2006 Chris Weyl <cweyl@alumni.drew.edu> - 0.20-1
- Specfile autogenerated by cpanspec 1.69
